using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace AdvertsingProfitControl
{
    class ExecuteCommand
    {

        public DataGridViewRow ExecuteRepeatCommand(DataGridViewRow targetRow)
        {
            DataGridViewRow copiedRow = new DataGridViewRow();

            foreach (DataGridViewCell cell in targetRow.Cells)
            {
                copiedRow.Cells.Add(cell);
            }

            return copiedRow;
        }

        public DataGridViewRow[] ExecuteRepeatCommand(DataGridViewRow[] targetRows)
        {
            DataGridViewRow[] copiedRows = new DataGridViewRow[targetRows.Length];
            int i = 0;
            foreach (DataGridViewRow row in targetRows)
            {
                foreach (DataGridViewCell cell in row.Cells)
                {
                    copiedRows[i].Cells.Add(cell);
                }
                i++;
            }

            return copiedRows;
        }
    }
}
